GET /gene/id/{gene_ids}/product_report

nih.gov:ncbi-datasets-api

Summary: Get a gene product report by GeneID
Operation ID: gene_product_reports_by_id
Auth: unknown
Description

Get a gene product report by GeneID. By default, in paged JSON format, but also available in tabular (accept: text/tab-separated-values) or JSON Lines (accept: application/x-ndjson) formats.

Parameters (11)

accession_filter (array, query, optional)

Filter tabular product report to only include the selected accessions. Use of this parameter requires the HTTP header, `accept: text/tab-separated-values`.

gene_ids (array, path, required)

One or more NCBI GeneIDs

include_tabular_header (?, query, optional)

Specify when to include the table header when requesting a tabular report.

page_size (integer, query, optional, default: 20)

The maximum number of gene reports to return. Default is 20 and maximum is 1000. If the number of results exceeds the page size, `page_token` can be used to retrieve the remaining results.

page_token (string, query, optional)

A page token is returned when the results count exceeds `page size`. Use this token along with previous request parameters to retrieve the next page of results. When `page_token` is empty, all results have been retrieved.

query (string, query, optional)

Limit to genes that match the specified gene symbol, name (description), alias, locus tag or protein name.

sort.direction (?, query, optional)
sort.field (string, query, optional)
table_fields (array, query, optional)

Specify which fields to include in the tabular report. Additional fields are described here: [Create a table from the gene data reports](https://www.ncbi.nlm.nih.gov/datasets/docs/v2/command-line-tools/using-dataformat/gene-data-reports/). Use of this parameter requires the HTTP header, `accept: text/tab-separated-values`.

table_format (string, query, optional)

Specify a predefined set of fields for the tabular report using built-in templates. Use of this parameter requires the HTTP header, `accept: text/tab-separated-values`.

types (array, query, optional)

Limit to genes matching the specified gene type.

Examples (1)

TitleTypeURLAction
Get a gene product report by GeneID openapi-spec https://api.ncbi.nlm.nih.gov/datasets/v2/gene/id/59067/product_report?table_fields=['gene-id', 'gene-type', 'description']&table_format=summary&query=A2M immunoglobulin&types=PROTEIN_CODING&accession_filter=['NM_001407959.1', 'NM_001408458.1']

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:28:49.044326 200 473ms